Bug 7014 - wrong module for DEC 21142/43 in pcitable
wrong module for DEC 21142/43 in pcitable
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-15 11:00 EST by langod
Modified: 2014-03-16 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-15 14:14:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description langod 1999-11-15 11:00:04 EST
There is a wrong driver/module in pcitable for DEC 21142/43 network card:
Currently it is tulip but should be de4x5, here is the diff:

174c174
< 0x1011	0x0019	"tulip"	"DEC|DECchip 21142/43"
---
> 0x1011	0x0019	"de4x5"	"DEC|DECchip 21142/43"

if you check in /usr/src/linux/Documentation/networking/
de4x5.txt tulip.txt
you can see that de4x5 is a better choice for 21142/43 dec network cards.

ciao

Damjan (langod@hermes.si)
Comment 1 Bill Nottingham 1999-11-15 12:00:59 EST
Hmm... I'm not sure that that docummentation is particularly relevant; it's
more than a year out of date.

Does the de4x5 driver work for you where the tulip does not?
Comment 2 langod 1999-11-15 12:34:59 EST
Yes, the de4x5 works for me fine.
also kudzu configured the device correctly with modified pcitable.
Regarding kernel documentation, if you search for:

grep 2114 de4x5.txt tulip.txt

de4x5.txt:	DC21140[A]
de4x5.txt:	DC21142
de4x5.txt:	DC21143
de4x5.txt:    all  cards running the dc2114x  series chips in particular.  Cards
using

tulip.txt:|     EtherPower 10/100 PCI(9332DST)  |21140      |Pentium/UDB  |
tulip.txt:|     EtherWorks 100/10 PCI(DE500-XA) |21140      |Pentium      |
tulip.txt:|     LA100PCI-T                      |21140      |Pentium/UDB  |
tulip.txt:|     EM110                           |21140      |Pentium      |

I think this is clear enough that tulip is not the right choice.
Comment 3 Bill Nottingham 1999-11-15 12:40:59 EST
The tulip.txt file hasn't been updated in a year and a half -
using it as a definitive list of the cards that it supports probably isn't
a good idea.

Does the tulip driver fail in some way that the de4x5 driver works?
Comment 4 langod 1999-11-15 13:09:59 EST
Yes the documentation files are old, but also the source code
tulip.c is much older than de4x5.c:

last change in de4x5.c:
      0.544   8-May-99    Fix for buggy SROM in Motorola embedded boards using

last change in tulip.c:
 static const char version[] = "tulip.c:v0.89H 5/23/98
becker@cesdis.gsfc.nasa.gov\n";

Why do you insist that this is not a problem?
de4x5 works tulip does not work for my card.
That's all I can say.
Comment 5 Bill Nottingham 1999-11-15 14:14:59 EST
OK, that's the information I wanted (that the tulip did *not* work.)

Of course, it probably will work with the 0.91 driver. Fun.
Fixed in CVS, will make its way into the next kudzu release.

Note You need to log in before you can comment on or make changes to this bug.